cmake fails: unsupported Mingw

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

cmake fails: unsupported Mingw

Jeff Mitchell
Bad result from cmake .. command:

Unable to determine MinGW processor architecture.  Are you using an
unsupported MinGW version?

I put MinGW exactly where it's needed - in C:\ and without whitespace
characters. How do I fix this? There's nothing on Google that will
explain it. I'm using the normal MinGW, not a legacy version or beta.


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: cmake fails: unsupported Mingw

Eduard Braun
Am 31.07.2017 um 07:28 schrieb Jeff Mitchell:
> Bad result from cmake .. command:
>
> Unable to determine MinGW processor architecture.  Are you using an
> unsupported MinGW version?
>
> I put MinGW exactly where it's needed - in C:\ and without whitespace
> characters. How do I fix this? There's nothing on Google that will
> explain it. I'm using the normal MinGW, not a legacy version or beta.

Hi Jeff,

as Inkscape has a lot of dependencies you can't just use any version of
MinGW.

The currently recommended (and if you want to compile the current git
master only) way is to compile with MSYS2, see
http://wiki.inkscape.org/wiki/index.php/Compiling_Inkscape_on_Windows_with_MSYS2
(ignore the bzr parts, that information has yet to be updated)

For 0.92.x you can still use our pre-compiled "devlibs" (or "devlibs64"
respectively) with steps detailed at
http://wiki.inkscape.org/wiki/index.php/Compiling_Inkscape_on_Windows and
http://wiki.inkscape.org/wiki/index.php/Compiling_Inkscape_on_Windows_64-bit
but the also need specific versions of mingw(-w64) and won't work with
any compiler due to ABI incompatibilites.

If you have further questions let us now.

Regards,
Eduard

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: cmake fails: unsupported Mingw

Jeff Mitchell
In reply to this post by Jeff Mitchell
Do I need different versions of mingw, installed side-by-side?

Sent from my phone

On 31 Jul 2017 21:39, Eduard Braun <[hidden email]> wrote:

>
> Am 31.07.2017 um 07:28 schrieb Jeff Mitchell:
> > Bad result from cmake .. command:
> >
> > Unable to determine MinGW processor architecture.  Are you using an
> > unsupported MinGW version?
> >
> > I put MinGW exactly where it's needed - in C:\ and without whitespace
> > characters. How do I fix this? There's nothing on Google that will
> > explain it. I'm using the normal MinGW, not a legacy version or beta.
>
> Hi Jeff,
>
> as Inkscape has a lot of dependencies you can't just use any version of
> MinGW.
>
> The currently recommended (and if you want to compile the current git
> master only) way is to compile with MSYS2, see
> http://wiki.inkscape.org/wiki/index.php/Compiling_Inkscape_on_Windows_with_MSYS2 
> (ignore the bzr parts, that information has yet to be updated)
>
> For 0.92.x you can still use our pre-compiled "devlibs" (or "devlibs64"
> respectively) with steps detailed at
> http://wiki.inkscape.org/wiki/index.php/Compiling_Inkscape_on_Windows and
> http://wiki.inkscape.org/wiki/index.php/Compiling_Inkscape_on_Windows_64-bit 
> but the also need specific versions of mingw(-w64) and won't work with
> any compiler due to ABI incompatibilites.
>
> If you have further questions let us now.
>
> Regards,
> Eduard
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: cmake fails: unsupported Mingw

Eduard Braun
In reply to this post by Jeff Mitchell
Am 31.07.2017 um 14:46 schrieb Jeff Mitchell:
> Do I need different versions of mingw, installed side-by-side?

If you use MSYS2 there's no need to install any other dependencies.
MSYS2 ships with mingw-w64 toolchains for both 32-bit and 64-bit builds
(you don't need both if you only want to target one architecture).

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-devel
Loading...